import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const SelectField: {
    ({ options, activeIndex, optionCount, id, name, placeholder, onClick }: propsTypes): React.ReactElement;
    propTypes: {
        options: PropTypes.Requireable<any[]>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
        optionCount: PropTypes.Requireable<number>;
        id: PropTypes.Requireable<string>;
        name: PropTypes.Requireable<string>;
        placeholder: PropTypes.Requireable<string>;
    };
    defaultProps: {
        options: never[];
        onClick: undefined;
        optionCount: number;
        id: undefined;
        name: undefined;
        placeholder: string;
    };
};
export default SelectField;
